none
Which .Net Framework versions automaticly have Windows XP versions (Normal, SP1,SP2,SP3)? RRS feed

  • Question

  • Does Windows XP's have .net framework without installing it? Does Windows XP users must install .net? If they don't, which version they have .net's. I think Windows XP SP3 automaticly (doesn't need to install it) have .net 3.5 but I'm not sure.

    Thanks...
    Wednesday, July 15, 2009 11:17 AM

Answers

  • Thank you for Etisoppo's kindly help. :)

    Hi [PhysiC],

    The .NET Framework shipped with the following versions of Windows but not as truly integrated OS components:
    • Windows XP Home and Professional SP1 includes the MSI-based .NET Framework 1.0 + SP2 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.
    • Windows XP Home and Professional SP2 includes the MSI-based .NET Framework 1.1 + SP1 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.
    • Windows XP Home and Professional SP3 includes the MSI-based .NET Framework 1.1 + SP1 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.

    I remember I can run some vs2008 programs under XP SP3 but I'm going to try in a virtual machine or in my pc. I have 3 OS: XP SP3, Vista x64 and Win7 x64. I formatted my XP SP3 and reinstalled. I remember I could run them but I'm not sure I didn't install .net?!?
    If you can run .NET 3.5 program on XP SP3, this means that .NET Framework 3.5 has already been installed on the machine. .NET 3.5 program cannot be run without .NET Framework 3.5.

    Did you install Visual Studio 2008 on this machine with XP SP3?
    If yes, .NET Framework 3.5 is also installed along with VS2008. So you can run this program on your PC.

    If you have any further concern, please feel free to let me know.

    Thanks


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Edited by YiChun Chen Friday, July 17, 2009 6:29 AM typo
    • Marked as answer by YiChun Chen Wednesday, July 22, 2009 7:15 AM
    Friday, July 17, 2009 6:26 AM

All replies

  • Only Windows Vista and Windows 7 officially ship with the .NET Framework. Vista ships with .NET 2.0 and .NET 3.0 and Windows 7 ships with .NET 4.0. I'm not aware that XP SP3 ships with it, but I might be wrong. Either way, if you're a developer you should provide support for .NET installation across all OSs because it is possible to remove it from the system, even if it shipped with the OS. Hope this helps!
    Wednesday, July 15, 2009 12:36 PM
  • I remember I can run some vs2008 programs under XP SP3 but I'm going to try in a virtual machine or in my pc. I have 3 OS: XP SP3, Vista x64 and Win7 x64. I formatted my XP SP3 and reinstalled. I remember I could run them but I'm not sure I didn't install .net?!?
    Wednesday, July 15, 2009 5:11 PM
  • Thank you for Etisoppo's kindly help. :)

    Hi [PhysiC],

    The .NET Framework shipped with the following versions of Windows but not as truly integrated OS components:
    • Windows XP Home and Professional SP1 includes the MSI-based .NET Framework 1.0 + SP2 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.
    • Windows XP Home and Professional SP2 includes the MSI-based .NET Framework 1.1 + SP1 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.
    • Windows XP Home and Professional SP3 includes the MSI-based .NET Framework 1.1 + SP1 in the Additional Components folder on the installation CD.  It is not an OS component on this OS.

    I remember I can run some vs2008 programs under XP SP3 but I'm going to try in a virtual machine or in my pc. I have 3 OS: XP SP3, Vista x64 and Win7 x64. I formatted my XP SP3 and reinstalled. I remember I could run them but I'm not sure I didn't install .net?!?
    If you can run .NET 3.5 program on XP SP3, this means that .NET Framework 3.5 has already been installed on the machine. .NET 3.5 program cannot be run without .NET Framework 3.5.

    Did you install Visual Studio 2008 on this machine with XP SP3?
    If yes, .NET Framework 3.5 is also installed along with VS2008. So you can run this program on your PC.

    If you have any further concern, please feel free to let me know.

    Thanks


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Edited by YiChun Chen Friday, July 17, 2009 6:29 AM typo
    • Marked as answer by YiChun Chen Wednesday, July 22, 2009 7:15 AM
    Friday, July 17, 2009 6:26 AM
  • etisoppo wrote:

    Only Windows Vista and Windows 7 officially ship with the .NET Framework. Vista ships with .NET 2.0 and .NET 3.0 and Windows 7 ships with .NET 4.0. 

    Actually, Windows 7 ships with .NET 3.5.

    Giovanni

     

    Sunday, November 20, 2011 10:26 AM